Bug 1779615 - [abrt] remmina: _mm_loadu_si128(): remmina killed by SIGSEGV
Summary: [abrt] remmina: _mm_loadu_si128(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b61f740fce2f04edd150aa32be2...
: 1805772 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-04 11:31 UTC by Artur Flinta
Modified: 2020-02-26 13:40 UTC (History)
6 users (show)

Fixed In Version: remmina-1.3.10-1.fc31 remmina-1.3.10-1.fc30 remmina-1.3.10-1.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-11 01:13:57 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (94.47 KB, text/plain)
2019-12-04 11:31 UTC, Artur Flinta
no flags Details
File: core_backtrace (26.47 KB, text/plain)
2019-12-04 11:31 UTC, Artur Flinta
no flags Details
File: cpuinfo (2.48 KB, text/plain)
2019-12-04 11:31 UTC, Artur Flinta
no flags Details
File: dso_list (14.71 KB, text/plain)
2019-12-04 11:31 UTC, Artur Flinta
no flags Details
File: environ (1.93 KB, text/plain)
2019-12-04 11:31 UTC, Artur Flinta
no flags Details
File: exploitable (82 bytes, text/plain)
2019-12-04 11:31 UTC, Artur Flinta
no flags Details
File: limits (1.29 KB, text/plain)
2019-12-04 11:31 UTC, Artur Flinta
no flags Details
File: maps (99.52 KB, text/plain)
2019-12-04 11:32 UTC, Artur Flinta
no flags Details
File: mountinfo (2.61 KB, text/plain)
2019-12-04 11:32 UTC, Artur Flinta
no flags Details
File: open_fds (2.33 KB, text/plain)
2019-12-04 11:32 UTC, Artur Flinta
no flags Details
File: proc_pid_status (1.34 KB, text/plain)
2019-12-04 11:32 UTC, Artur Flinta
no flags Details
File: var_log_messages (101 bytes, text/plain)
2019-12-04 11:32 UTC, Artur Flinta
no flags Details

Description Artur Flinta 2019-12-04 11:31:43 UTC
Description of problem:
In Remmina Preferences, in Options, disable „Deny screenshot to clipboard”.
Connect to Windows 10 workstation using RDP protocol.
On left toolbar click on camera icon to take screenshot - remmina crashed.

Version-Release number of selected component:
remmina-1.3.6-1.fc31

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/remmina
crash_function: _mm_loadu_si128
executable:     /usr/bin/remmina
journald_cursor: s=5bc73d911c8943ecb96bc6180fe16450;i=1dd27;b=a187634d59fe487f9e0449364bf38257;m=191ba2b049;t=598deeff40c62;x=436ce45b240787e0
kernel:         5.3.12-300.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _mm_loadu_si128 at /usr/lib/gcc/x86_64-redhat-linux/9/include/emmintrin.h:703
 #1 load_128_unaligned at ../pixman/pixman-sse2.c:373
 #2 sse2_blt at ../pixman/pixman-sse2.c:4766
 #4 sse2_composite_copy_area at ../pixman/pixman-sse2.c:4815
 #5 pixman_image_composite32 at ../pixman/pixman.c:700
 #6 composite_boxes at cairo-image-compositor.c:538
 #7 composite_aligned_boxes at cairo-spans-compositor.c:683
 #8 clip_and_composite_boxes at cairo-spans-compositor.c:882
 #10 _cairo_spans_compositor_paint at cairo-spans-compositor.c:983
 #11 _cairo_compositor_paint at cairo-compositor.c:65

Comment 1 Artur Flinta 2019-12-04 11:31:49 UTC
Created attachment 1642025 [details]
File: backtrace

Comment 2 Artur Flinta 2019-12-04 11:31:51 UTC
Created attachment 1642026 [details]
File: core_backtrace

Comment 3 Artur Flinta 2019-12-04 11:31:52 UTC
Created attachment 1642027 [details]
File: cpuinfo

Comment 4 Artur Flinta 2019-12-04 11:31:54 UTC
Created attachment 1642028 [details]
File: dso_list

Comment 5 Artur Flinta 2019-12-04 11:31:55 UTC
Created attachment 1642029 [details]
File: environ

Comment 6 Artur Flinta 2019-12-04 11:31:57 UTC
Created attachment 1642030 [details]
File: exploitable

Comment 7 Artur Flinta 2019-12-04 11:31:58 UTC
Created attachment 1642031 [details]
File: limits

Comment 8 Artur Flinta 2019-12-04 11:32:00 UTC
Created attachment 1642032 [details]
File: maps

Comment 9 Artur Flinta 2019-12-04 11:32:02 UTC
Created attachment 1642033 [details]
File: mountinfo

Comment 10 Artur Flinta 2019-12-04 11:32:03 UTC
Created attachment 1642034 [details]
File: open_fds

Comment 11 Artur Flinta 2019-12-04 11:32:05 UTC
Created attachment 1642035 [details]
File: proc_pid_status

Comment 12 Artur Flinta 2019-12-04 11:32:06 UTC
Created attachment 1642036 [details]
File: var_log_messages

Comment 13 Fedora Update System 2020-02-08 16:53:52 UTC
FEDORA-2020-2404c9ff3b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2404c9ff3b

Comment 14 Fedora Update System 2020-02-08 17:07:03 UTC
FEDORA-EPEL-2020-e3426f6e51 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e3426f6e51

Comment 15 Fedora Update System 2020-02-09 01:21:05 UTC
freerdp-2.0.0-56.20200207git245fc60.fc31, guacamole-server-1.1.0-5.fc31, remmina-1.3.10-1.fc31, vinagre-3.22.0-17.fc31, weston-7.0.0-3.fc31, wlroots-0.6.0-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-483cbdf643

Comment 16 Fedora Update System 2020-02-09 01:46:53 UTC
freerdp-2.0.0-56.20200207git245fc60.fc30, guacamole-server-1.1.0-5.fc30, remmina-1.3.10-1.fc30, vinagre-3.22.0-16.fc30, weston-6.0.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2404c9ff3b

Comment 17 Fedora Update System 2020-02-09 01:48:01 UTC
guacamole-server-1.1.0-1.el7, remmina-1.3.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e3426f6e51

Comment 18 Fedora Update System 2020-02-11 01:13:57 UTC
freerdp-2.0.0-56.20200207git245fc60.fc31, guacamole-server-1.1.0-5.fc31, remmina-1.3.10-1.fc31, vinagre-3.22.0-17.fc31, weston-7.0.0-3.fc31, wlroots-0.6.0-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-02-17 01:26:19 UTC
freerdp-2.0.0-56.20200207git245fc60.fc30, guacamole-server-1.1.0-5.fc30, remmina-1.3.10-1.fc30, vinagre-3.22.0-16.fc30, weston-6.0.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Davi Rafael Fiala 2020-02-21 14:24:58 UTC
*** Bug 1805772 has been marked as a duplicate of this bug. ***

Comment 21 jtagcat 2020-02-23 10:11:36 UTC
Similar problem has been detected:

closed the app

reporter:       libreport-2.12.0
backtrace_rating: 4
cmdline:        remmina -i
crash_function: _mm_loadu_si128
executable:     /usr/bin/remmina
journald_cursor: s=1405d574f3404b4cbc02ec90c3b2700e;i=291f7;b=4c3c46b3e4024402bb93fc0784094567;m=42fc14eb6;t=59f3b676deee9;x=31e0092d9f617429
kernel:         5.5.5-200.fc31.x86_64
package:        remmina-1.3.10-1.fc31
reason:         remmina killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 jtagcat 2020-02-23 10:15:59 UTC
Remmina in tray, exited a connection (only/last window) with alt+f4 and problem persists.

Comment 23 Fedora Update System 2020-02-24 01:04:49 UTC
guacamole-server-1.1.0-1.el7, remmina-1.3.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Matthew Wilson 2020-02-25 10:19:43 UTC
Similar problem has been detected:

I had two RDP connections open in Remmina.  I terminated one with the "Disconnect" button in the floating toolbar.  Remmina segfaulted.

reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/session-2.scope
cmdline:        remmina
crash_function: _mm_loadu_si128
executable:     /usr/bin/remmina
journald_cursor: s=25c9652bca2b4e4c82d84901b88ccbf5;i=154c3;b=e98ae7273a7c478daea3873c9d9444a2;m=19ef158e1;t=59f63a50da2e4;x=4c38dcf9fb96893d
kernel:         5.5.5-200.fc31.x86_64
package:        remmina-1.3.10-1.fc31
reason:         remmina killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.